@keyframes fillOpacity {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

@-o-keyframes fillOpacity {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

@-moz-keyframes fillOpacity {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

@-webkit-keyframes fillOpacity {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

@keyframes drainOpacity {
    from {
        opacity: 1;
    }

    to {
        opacity: 0;
    }
}

@-o-keyframes drainOpacity {
    from {
        opacity: 1;
    }

    to {
        opacity: 0;
    }
}

@-moz-keyframes drainOpacity {
    from {
        opacity: 1;
    }

    to {
        opacity: 0;
    }
}

@-webkit-keyframes drainOpacity {
    from {
        opacity: 1;
    }

    to {
        opacity: 0;
    }
}

.anim {
    &__opacity {
        &--fill {
            animation: fillOpacity ease-out 1s 1 forwards;
            -webkit-animation: fillOpacity ease-out 1s 1 forwards;
            -moz-animation: fillOpacity ease-out 1s 1 forwards;
            -o-animation: fillOpacity ease-out 1s 1 forwards;
        }

        &--fade {
            animation: fillOpacity ease-in 0.45s 1 reverse forwards;
            -webkit-animation: fillOpacity ease-in 0.45s 1 reverse forwards;
            -moz-animation: fillOpacity ease-in 0.45s 1 reverse forwards;
            -o-animation: fillOpacity ease-in 0.45s 1 reverse forwards;
        }
    }
}